/* plugin_prefs.h
 *
 * Copyright (C) 2000 by Jason Day
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __PLUGIN_PREFS_H__
#define __PLUGIN_PREFS_H__

#include "prefs.h"

int jp_get_pref (prefType prefs[], int which, long *n, const char **ret);
int jp_set_pref_int (prefType prefs[], int which, long n);
int jp_set_pref_char (prefType prefs[], int which, char *string);
int jp_read_rc_file (char *filename, prefType prefs[], int num_prefs);
int jp_write_rc_file (char *filename, prefType prefs[], int num_prefs);


#endif /* __PLUGIN_PREFS_H__ */